#
#
#
import argparse
import time

from libs import fingerprint


def main():
  (filein, fileout, verbose) = parseArgs()
  #retVal = fingerprint.scanDB(filein)

  db = fingerprint.DBSchema()
  retVal = db.scanDBFile(filein)

  if (retVal > 0):
    fh = open(fileout, "w")
    db.debugFingerprint()
    db.writeFingerprint(fh)
    fh.close()
  else:
    print db.getErrorString(retVal)


def parseArgs():
  verbose = False
  timestr = time.strftime('%Y-%m-%d_%H%M%S', time.localtime(time.time()))
  #outfile = "telegram-data_" + timestr
  parser = argparse.ArgumentParser(description='Fingerprint a sqlite database based on its schema')
  parser.add_argument('-f', '--file', required=True)
  parser.add_argument('-v', '--verbose', action='store_true')
  args = parser.parse_args()
  if (args.verbose):
    verbose = args.verbose
  fileout = args.file + "_" + timestr + '.json'
  return (args.file, fileout, verbose)


if __name__ == "__main__":
  main()
